# CakePHP 3 Driver for Oracle Database

Objective: Create a fully operative Oracle 11g Driver for CakePHP 3

## Features
The driver provides compatibility with:

- Triggers
- Sequences
- Cursors
- Stored procedures
- Packages
- All the basic CRUD features to allow select/insert/update/delete rows.
- CakePHP Pagination
- CakePHP Bake code generation

## Documentation
- [Oracle database 11g setup](OracleDatabase11gSetup.md)
- [PHP 7 OCI8 extension setup](Php7Oci8ExtensionSetup.md)
- [PHP 7 PDO_OCI extension setup](Php7PdoOciExtensionSetup.md)
- [Oracle 11 and PHP-FPM Setup](Oracle11PhpFpmSetup.md)
- [Autoincrement fields](AutoincrementFields.md)
- [Using Stored Procedures, Functions and Packages](Methods.md)
- [Using Cursors](Cursors.md)
- [Implementation details](ImplementationDetails.md)
- [Migration alternatives](MigrationAlternatives.md)
